Skip to main content
Get webhook subscription
curl --request GET \
  --url https://api.maple.inc/v1/webhook_subscriptions/{subscriptionId} \
  --header 'Authorization: Bearer <token>'
{
  "object": "webhook_subscription",
  "id": "<string>",
  "notification_url": "<string>",
  "event_types": [
    "<string>"
  ],
  "created_at": "<string>",
  "updated_at": "<string>"
}

Authorizations

Authorization
string
header
required

API key — mpk_test_… for the sandbox, mpk_live_… for production. Issued by Maple during partner onboarding.

Path Parameters

subscriptionId
string
required

Response

Success

object
enum<string>
required
Available options:
webhook_subscription
id
string
required
environment
enum<string>
required
Available options:
test,
live
notification_url
string
required
event_types
string[]
required
status
enum<string>
required
Available options:
enabled,
disabled
created_at
string
required
updated_at
string
required